package com.jwl.driver.server.util;

import com.wechat.pay.java.core.util.IOUtil;

import java.io.IOException;
import java.io.InputStream;
import java.io.UncheckedIOException;

/**
 * @author 曹林
 * @description 流处理
 * @create 2023/8/24 14:41
 */
public class InputStreamUtil {

    // 获取文件内容
    public static String getContentStr(String filePath){
        InputStream inputStream = Thread.currentThread().getContextClassLoader().getResourceAsStream(filePath);
        String contentStr;
        try {
            Throwable var2 = null;
            try {
                contentStr = IOUtil.toString(inputStream);
            } catch (Throwable var13) {
                var2 = var13;
                throw var13;
            } finally {
                if (inputStream != null) {
                    if (var2 != null) {
                        try {
                            inputStream.close();
                        } catch (Throwable var12) {
                            var2.addSuppressed(var12);
                        }
                    } else {
                        inputStream.close();
                    }
                }

            }
        } catch (IOException var15) {
            throw new UncheckedIOException(var15);
        }
        return contentStr;
    }
}
